# Индивидуальное контрольное задание

## 1
import pickle
import random
sl = {"Беженарь": random.randint(1, 100),
            "Володин": random.randint(1, 100),
            "Добровольска": random.randint(1, 100),
            "Ефремов": random.randint(1, 100),
            "Зеленкина": random.randint(1, 100),
            "Зеленкина2": random.randint(1, 100),
            "Капитонов": random.randint(1, 100),
            "Киреев": random.randint(1, 100),
            "Коломейцев": random.randint(1, 100),
            "Криви": random.randint(1, 100)}

## 2
# Как в лр
fl=open('test.mnz','wb')
pickle.dump(sl, fl)

#
# with open('test.mnz', 'wb') as file:
#     pickle.dump(sl, fl)

# 3
del sl

# 4
with open('test.mnz', 'rb') as fl:
    rsl = pickle.load(fl)
# Выведим первое и последнее значение словаря
print(list(rsl.keys())[0])
print(list(rsl.keys())[-1])
# Удалим
del rsl[list(rsl.keys())[0]]
del rsl[list(rsl.keys())[-1]]

# 5
for i in rsl:
    print(f"Студент {i}", rsl[i], sep =': ')